Runtime

## org.eclipse.gmf.runtime.diagram.ui.render.editparts
Class RenderedDiagramRootEditPart.DiagramRenderedScalableFreeformLayeredPane

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Layer
              org.eclipse.draw2d.LayeredPane
                  org.eclipse.draw2d.FreeformLayeredPane
                      org.eclipse.draw2d.ScalableFreeformLayeredPane
                          org.eclipse.gmf.runtime.draw2d.ui.internal.graphics.ScalableFreeformLayeredPane
                              org.eclipse.gmf.runtime.diagram.ui.editparts.DiagramRootEditPart.DiagramScalableFreeformLayeredPane
                                  org.eclipse.gmf.runtime.diagram.ui.render.editparts.RenderedDiagramRootEditPart.DiagramRenderedScalableFreeformLayeredPane

All Implemented Interfaces:
  org.eclipse.gmf.runtime.gef.ui.internal.editparts.AnimatedZoomListener, FreeformFigure, IFigure, org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode, org.eclipse.gmf.runtime.draw2d.ui.internal.mapmode.IMapModeHolder, ScalableFigure, ZoomListener

Enclosing class:
  RenderedDiagramRootEditPart

protected static class RenderedDiagramRootEditPart.DiagramRenderedScalableFreeformLayeredPane
extends DiagramRootEditPart.DiagramScalableFreeformLayeredPane
implements org.eclipse.gmf.runtime.gef.ui.internal.editparts.AnimatedZoomListener

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`Figure.FigureIterator, Figure.IdentitySearch`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.Figure
`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`RenderedDiagramRootEditPart.DiagramRenderedScalableFreeformLayeredPane(org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode mm)`

Method Summary
`void` `animatedZoomEnded()` Called whenever the ZoomManager's ends an animated zoom.
`void` `animatedZoomStarted()` Called whenever the ZoomManager's starts an animated zoom.
`protected org.eclipse.gmf.runtime.draw2d.ui.internal.graphics.MapModeGraphics` `createMapModeGraphics(Graphics graphics)`
`protected org.eclipse.gmf.runtime.draw2d.ui.internal.graphics.ScaledGraphics` `createScaledGraphics(org.eclipse.gmf.runtime.draw2d.ui.internal.graphics.MapModeGraphics gMM)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.DiagramRootEditPart.DiagramScalableFreeformLayeredPane
`zoomChanged`

Methods inherited from class org.eclipse.gmf.runtime.draw2d.ui.internal.graphics.ScalableFreeformLayeredPane
`DPtoLP, DPtoLP, getClientArea, getMapMode, LPtoDP, LPtoDP, paintClientArea, setAntiAlias, translateFromParent, translateToParent`

Methods inherited from class org.eclipse.draw2d.ScalableFreeformLayeredPane
`getScale, isCoordinateSystem, setScale, useLocalCoordinates`

Methods inherited from class org.eclipse.draw2d.FreeformLayeredPane
`add, addFreeformListener, fireExtentChanged, fireMoved, getFreeformExtent, getFreeformHelper, primTranslate, remove, removeFreeformListener, setFreeformBounds, superFireMoved`

Methods inherited from class org.eclipse.draw2d.LayeredPane
`addLayerAfter, addLayerBefore, getLayer, getLayer, removeLayer, removeLayer, removeLayer`

Methods inherited from class org.eclipse.draw2d.Layer
`containsPoint, findFigureAt`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintFigure, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateToAbsolute, translateToRelative, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.editparts.ZoomListener
`zoomChanged`

Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateToAbsolute, translateToRelative, validate`

Constructor Detail

### RenderedDiagramRootEditPart.DiagramRenderedScalableFreeformLayeredPane

    public RenderedDiagramRootEditPart.DiagramRenderedScalableFreeformLayeredPane(org.eclipse.gmf.runtime.draw2d.ui.mapmode.IMapMode mm)

Method Detail

### createScaledGraphics

    protected org.eclipse.gmf.runtime.draw2d.ui.internal.graphics.ScaledGraphics createScaledGraphics(org.eclipse.gmf.runtime.draw2d.ui.internal.graphics.MapModeGraphics gMM)

  Returns:
    `ScaledGraphics`

### createMapModeGraphics

    protected org.eclipse.gmf.runtime.draw2d.ui.internal.graphics.MapModeGraphics createMapModeGraphics(Graphics graphics)

  Parameters:
    `graphics` - `Graphics` object to wrap with a `MapModeGraphics`
  Returns:
    `MapModeGraphics`

### animatedZoomEnded

    public void animatedZoomEnded()

  Description copied from interface: `org.eclipse.gmf.runtime.gef.ui.internal.editparts.AnimatedZoomListener`
  Called whenever the ZoomManager's ends an animated zoom.

  Specified by:
    `animatedZoomEnded` in interface `org.eclipse.gmf.runtime.gef.ui.internal.editparts.AnimatedZoomListener`

### animatedZoomStarted

    public void animatedZoomStarted()

  Description copied from interface: `org.eclipse.gmf.runtime.gef.ui.internal.editparts.AnimatedZoomListener`
  Called whenever the ZoomManager's starts an animated zoom.

  Specified by:
    `animatedZoomStarted` in interface `org.eclipse.gmf.runtime.gef.ui.internal.editparts.AnimatedZoomListener`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.